Subject: Re: gc/bare-repo-discovery (was Re: What's cooking in git.git (Jul 2022, #03; Mon, 11))

From: Junio C Hamano <[email-masked]>
Date: Wed, 13 Jul 2022 09:29:49 -0700

Glen Choo <[email-masked]> writes:

> I also noted your distaste for the `discovery.*` namespace (fair
> enough). To avoid a reroll-of-the-reroll, I was hoping that we could
> agree on something on-list (thread here [1]) before I send out the next
> version.

I found your idea of adding this new one in the safe.* hierarchy
quite reasonable.  "safe.discoveredBareRepository = yes / no" may be
quote a mouthful, but I do not think I can think of anything better.